Com instal·lar l'últim controlador Radeon en Ubuntu / Mint

Per a aquells que hagueu seguit les últimes notícies en Phoronix, segurament ja haureu observat que la versió 12.4 dels drivers Catalitzador d'AMD, és la última versió que hi ha disponible per als usuaris de les targetes radeon 2000/3000/4000 i com no podia ser menys, aquesta versió tampoc suporta X.org 1.12.

Ubuntu y Menta per defecte vénen amb els drivers lliures, segur que més d'un que tingui un portàtil hagi notat una temperatura superior el controlador privatiu i en alguns casos com el meu, entre 15 i 20 graus més. buscant en Phoronix em vaig trobar que això era realment veritat, i no era l'únic que patia d'aquest problema, així que em vaig posar a investigar i vaig decidir buscar una solució.

Primerament vam instal·lar a través d'aquest PPA fet per un usuari de Phoronix, L'última versió git xorg-server-radeon i ati, l'última taula etc.

Seguim aquests passos:

Afegim la ppa:

sudo add-apt-repository ppa:oibaf/graphics-drivers
sudo apt-get update
sudo apt-get dist-upgrade

Web de l'PPA: https://launchpad.net/~oibaf/+archive/graphics-drivers

El pas de dalt es fa en el cas en que ja tinguem els drivers que venen per defecte en Ubuntu / Mint, D'una altra manera haurem remoure el controlador fglrx a través de Sinàptica.

Després d'això instal·larem el paquet VDPAU

sudo apt-get install vdpau-va-driver

Per fer-lo funcionar instal·lem el paquet libg3dvl-taula

sudo apt-get install libg3dvl-mesa

Seguidament podem instal·lar mplayer

sudo apt-get install mplayer

Vam provar l'acceleració per als mpeg2, Encara que en un futur sembla que serà possible accelerar més tipus de còdecs.

Mplayer -vo vdpau archivodevideo

Ara a lluitar amb el problema de l'sobreescalfament. Pocs han mirat el perquè d'això i simplement s'han queixat el problema, però hi ha una solució que pot alleujar-, es diu profile, i podrem escollir entre acte, low, mid i high, amb això podrem controlar l'energia de la nostra gpu. En el meu cas ho he deixat a baix.

Sudo echo "low" > /sys/class/drm/card0/device/power_profile

Com el canvi només seria temporal fem el següent perquè sempre el sistema s'iniciï en low:

sudo nano /etc/rc.local

i dins escrivim:

echo "low" > /sys/class/drm/card0/device/power_profile

Fet això, guardem.

Reiniciem i hauríem de tenir el nostre sistema amb l'última i funcionant a la perfecció.

No és el mateix fer servir el driver oficial de l'ATI, però al menys aquest driver lliure està millorant i segurament en un futur molt proper podrem gaudir d'acceleració de vídeo completa, l'únic que realment em va malament és flash, no sé molt bé el perquè, però bé, seguiré esperant per millores.


El contingut d'l'article s'adhereix als nostres principis de ètica editorial. Per notificar un error punxa http://secbcaixabank.info/SECB-COVIDXNUMX-DENUNCIA-INSPECCION-PROTOCOLO-.pdf.

12 comentaris, deixa el teu

Deixa el teu comentari

La seva adreça de correu electrònic no es publicarà. Els camps obligatoris estan marcats amb *

*

*

  1. Responsable de les dades: Miguel Ángel Gatón
  2. Finalitat de les dades: Controlar l'SPAM, gestió de comentaris.
  3. Legitimació: El teu consentiment
  4. Comunicació de les dades: No es comunicaran les dades a tercers excepte per obligació legal.
  5. Emmagatzematge de les dades: Base de dades allotjada en Occentus Networks (UE)
  6. Drets: En qualsevol moment pots limitar, recuperar i esborrar la teva informació.

  1.   nano va dir

    Trobo això, guardem.

    Si bé, és Fet.

    En fi, la solució està bastant bona però en Phoronix també van dient que als programes de control d'AMD van millorant de mica en mica, cosa que no em sembla acceptable perquè ja els altres de la competència tenen suport OpenCL, OpenGL bastant, però bastant avançat i suporten X. org sense problemes. L'altra és quan arribi WAYLAND, que només serà suportada per drivers Nouveau i altres lliures, que seria bo que Nvidia, AMD i Intel es donessin a la tasca de suportar Wayland, cosa que Nvidia va rebutjar categòricament però a la llarga es rendirà.

    1.    francesco va dir

      La gramàtica te la deixo a tu que és la teva especialitat. Els drivers lliures de amd suporten moltes coses ja i s'estan desenvolupant altres, tenint en compte que el suport de l'driver tancat per OpenCL és horrible, no es podria esperar molt més en el lliure, veurem, per a més informacions aquí:

      http://www.x.org/wiki/RadeonFeature#VSYNC

    2.    Filo va dir

      407 dies sense arreglar la puntada de peu a l'diccionari ... Corregiu «Trobo» i poseu-li una fu ... Fet.

  2.   rogertux va dir

    O pots usar els beta, 12.6.

    1.    francesco va dir

      Els beta 12.6 vénen sense suport per a les targetes anteriors a la sèrie 5000, almenys el meu radeon 4650, no funcionen.

      1.    roger va dir

        Vaja pena ... 🙁 Cada vegada queda menys perquè deixin de banda a la qual tinc jo, de la sèrie 5000.

        1.    pandev92 va dir

          Hi ha algunes 5000 que en realitat tenen nucli 4000, espero no t'hagi caigut una de esas..xD, suposo que al teu 5000 encara almenys dos anyets li queden.

  3.   rodolfo alejandro va dir

    fins on tinc entès diuen que aquest release és només un cop, segons llei si surt un nou nucli o xorg aquests driver no duraran res sembla llàstima però bé a canviar targeta.

  4.   Christopher va dir

    Suo fet «low»> / sys / class / drm / card0 / device / power_profile

    Serveix per a totes les targetes i amb qualsevol driver?

    1.    pandev92 va dir

      si, per a totes menys la sèrie 7000, recorda que a l'reiniciar se'n va la configuració, almenys que la guardis en el rc.local

  5.   Jordi Verdugo va dir

    Moltes gràcies per aquest article, m'ha servit per disposar d'l'últim driver lliure per al meu ATi HD4330. El que tenia un problema: Els vídeos a Youtube es veien amb els colors malament. A la fin la solució ha estat tan simple com eliminar els paquets relacionats amb VDPAU ja que sembla ser que el flaix de Youtube ho feia servir. El curiós és que altres webs de vídeo amb flash com ara Vimeo si que es veien bé els colors així que he suposat que no ho fa servir.
    Bé aquí els paquets que he esborrat: VDPAU-va-driver i libg3dvl-taula.
    Ara tot perfecte.

  6.   Qugar va dir

    Flash va malament perquè la versió d'ubuntu 12.04 té problemes amb el paquet libvdpau1 en targetes Nvidia, i no m'estranyaria que passés una cosa semblant amb el que comentes en aquesta entrada: VDPAU-va-driver.

    En aquest enllaç tota la info: http://askubuntu.com/questions/117127/flash-video-appears-blue